Bug 90615 - Web Inspector: Add native memory used by GlyphCache to the snapshot
Summary: Web Inspector: Add native memory used by GlyphCache to the snapshot
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexei Filippov
URL:
Keywords:
Depends on: 90745 90749
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 08:55 PDT by Alexei Filippov
Modified: 2012-08-01 02:19 PDT (History)
12 users (show)

See Also:


Attachments
Patch (6.58 KB, patch)
2012-07-05 09:06 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Patch (6.54 KB, patch)
2012-07-05 10:30 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Patch (6.65 KB, patch)
2012-07-06 06:14 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Patch (6.33 KB, patch)
2012-07-31 07:17 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Patch (6.99 KB, patch)
2012-07-31 08:41 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Patch (8.15 KB, patch)
2012-07-31 10:38 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Patch (7.20 KB, patch)
2012-08-01 01:20 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexei Filippov 2012-07-05 08:55:45 PDT
EOM
Comment 1 Alexei Filippov 2012-07-05 09:06:27 PDT
Created attachment 150949 [details]
Patch
Comment 2 Yury Semikhatsky 2012-07-05 09:24:12 PDT
Comment on attachment 150949 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150949&action=review

> Source/WebCore/platform/MemoryUsageSupport.cpp:66
> +bool MemoryUsageSupport::componentMemoryUsageInBytes(const char* name, size_t* size)

Please remove parameter names to avoid warnings.

> Source/WebCore/platform/MemoryUsageSupport.h:63
> +    static bool componentMemoryUsageInBytes(const char*, size_t*);

This way we need to store all component names in the memory agent that calls this method. It might be better to have MemoryUsageSupport report us {component name -> size} map containing information about all components. WDYT?
Comment 3 Build Bot 2012-07-05 10:12:45 PDT
Comment on attachment 150949 [details]
Patch

Attachment 150949 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13154058
Comment 4 Alexei Filippov 2012-07-05 10:30:24 PDT
Created attachment 150955 [details]
Patch
Comment 5 Alexei Filippov 2012-07-05 10:31:06 PDT
Comment on attachment 150949 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150949&action=review

>> Source/WebCore/platform/MemoryUsageSupport.cpp:66
>> +bool MemoryUsageSupport::componentMemoryUsageInBytes(const char* name, size_t* size)
> 
> Please remove parameter names to avoid warnings.

done

>> Source/WebCore/platform/MemoryUsageSupport.h:63
>> +    static bool componentMemoryUsageInBytes(const char*, size_t*);
> 
> This way we need to store all component names in the memory agent that calls this method. It might be better to have MemoryUsageSupport report us {component name -> size} map containing information about all components. WDYT?

done
Comment 6 Yury Semikhatsky 2012-07-05 23:07:19 PDT
Comment on attachment 150955 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150955&action=review

> Source/WebCore/platform/MemoryUsageSupport.h:67
> +        const char* m_name;

Why not const String? It would be more convenient should we have dynamically generated names.

> Source/WebCore/platform/MemoryUsageSupport.h:68
> +        size_t m_size;

m_sizeInBytes ?
Comment 7 Alexei Filippov 2012-07-06 06:14:35 PDT
Created attachment 151071 [details]
Patch
Comment 8 Alexei Filippov 2012-07-06 06:20:16 PDT
Comment on attachment 150955 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150955&action=review

>> Source/WebCore/platform/MemoryUsageSupport.h:67
>> +        const char* m_name;
> 
> Why not const String? It would be more convenient should we have dynamically generated names.

done

>> Source/WebCore/platform/MemoryUsageSupport.h:68
>> +        size_t m_size;
> 
> m_sizeInBytes ?

done
Comment 9 WebKit Review Bot 2012-07-06 07:09:29 PDT
Comment on attachment 151071 [details]
Patch

Clearing flags on attachment: 151071

Committed r121968: <http://trac.webkit.org/changeset/121968>
Comment 10 WebKit Review Bot 2012-07-06 07:09:35 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 WebKit Review Bot 2012-07-08 20:56:25 PDT
Re-opened since this is blocked by 90745
Comment 12 Alexei Filippov 2012-07-31 07:17:04 PDT
Created attachment 155525 [details]
Patch
Comment 13 WebKit Review Bot 2012-07-31 07:20:59 PDT
Comment on attachment 155525 [details]
Patch

Attachment 155525 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13400444
Comment 14 Early Warning System Bot 2012-07-31 07:40:59 PDT
Comment on attachment 155525 [details]
Patch

Attachment 155525 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/13387781
Comment 15 Early Warning System Bot 2012-07-31 07:53:43 PDT
Comment on attachment 155525 [details]
Patch

Attachment 155525 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/13403197
Comment 16 Alexei Filippov 2012-07-31 08:41:34 PDT
Created attachment 155551 [details]
Patch
Comment 17 Yury Semikhatsky 2012-07-31 08:52:05 PDT
Comment on attachment 155551 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155551&action=review

> Source/WebCore/platform/MemoryUsageSupport.h:34
> +#include <wtf/Vector.h>

wtf/Forward.h should be enough
Comment 18 Early Warning System Bot 2012-07-31 09:24:30 PDT
Comment on attachment 155551 [details]
Patch

Attachment 155551 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/13392770
Comment 19 Early Warning System Bot 2012-07-31 10:03:26 PDT
Comment on attachment 155551 [details]
Patch

Attachment 155551 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/13393693
Comment 20 Alexei Filippov 2012-07-31 10:38:17 PDT
Created attachment 155582 [details]
Patch
Comment 21 WebKit Review Bot 2012-07-31 23:39:14 PDT
Comment on attachment 155582 [details]
Patch

Rejecting attachment 155582 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Source/WebCore/platform/MemoryUsageSupport.h
patching file Source/WebCore/platform/chromium/MemoryUsageSupportChromium.cpp
patching file Source/WebCore/platform/qt/MemoryUsageSupportQt.cpp
patching file Source/WebKit/chromium/DEPS
Hunk #1 FAILED at 32.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKit/chromium/DEPS.rej

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Yury Semik..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13411302
Comment 22 Alexei Filippov 2012-08-01 01:20:23 PDT
Created attachment 155748 [details]
Patch
Comment 23 WebKit Review Bot 2012-08-01 02:19:42 PDT
Comment on attachment 155748 [details]
Patch

Clearing flags on attachment: 155748

Committed r124315: <http://trac.webkit.org/changeset/124315>
Comment 24 WebKit Review Bot 2012-08-01 02:19:48 PDT
All reviewed patches have been landed.  Closing bug.